import {Injectable} from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {EnvService} from "./env.service";
import {Configuration} from "./model/configuration";

@Injectable({
  providedIn: 'root'
})
export class ConfigurationService {

  private configuration: Configuration;

  constructor(private http: HttpClient, private env: EnvService) {
  }

  getSettings(): Promise<any> {
    const promise = this.http.get(this.env.configUrl).toPromise().then((response: Configuration) => {
      this.configuration = response;
      return response;
    });
    return promise;
  }

  get config(): Configuration {
    return this.configuration;
  }

}
